IonCube Loader is a tool, that is required to run files that are encrypted with ionCube PHP Encoder. The aforementioned is an application employed to make PHP code human unreadable, to protect it from reverse engineering and / or not authorized use. Lots of script-driven apps, especially message boards, content management systems and electronic commerce solutions are protected with ionCube PHP Encoder, therefore if you acquire a script and you find that ionCube is one of the hosting environment requirements, you have to ensure that your web hosting server has the instrument pre-installed. While it's not that difficult to set it up when you have your own server, it is almost impossible to do that on a shared hosting server as the PHP environment shall have to be precompiled and all clients on the server will be affected.

IonCube in Cloud Website Hosting

If you buy a Linux cloud website hosting service through us, it'll be set up on our in-house built cloud hosting platform where ionCube Loader is already present, so you won't have any problems to manage any script app that requires the instrument in order to function properly. We also offer a few different versions of PHP, so if you change the version, you will have to enable ionCube once again. Our platform remembers the changes you make, which means that in case you move back to the previous release of PHP which was active for your account, ionCube Loader will already be activated. The PHP version and the ionCube instrument can be managed through the PHP Configuration part of our Hepsia website hosting Control Panel. Every adjustment that you make takes literally just a click and it takes effect right away.

IonCube in Semi-dedicated Hosting

Since all of the semi-dedicated server accounts are created on our advanced cluster platform and ionCube Loader is available on it, you'll be able to use any script app which requires the tool so as to run properly. With just a few clicks in your Hepsia website hosting Control Panel you'll be able to activate or deactivate ionCube for the PHP version that's currently active for your account. Because we support multiple versions of PHP at the same time, you'll need to do that every time you move to a new version, but if you revert back to a release which you have already used, our system will remember your choice and ionCube Loader will already be active. When you have multiple websites in the same account and they require different releases of PHP, you are able to create a php.ini file in each domain folder and with a couple of lines of code you are able to define both the PHP release as well as the status of ionCube regardless of what is selected for the web hosting account altogether.